### GET /value/bypodcastguid Source: https://podcastindex-org.github.io/docs-api/pi_api.json This call returns the information for supporting the podcast via one of the "Value for Value" methods from podcast GUID. Note: No API key needed for this endpoint. Example: https://api.podcastindex.org/api/1.0/value/bypodcastguid?guid=917393e3-1b1e-5cef-ace4-edaa54e1f810&pretty ```markdown ### Parameters - **guid** (string, query, required): The GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. - **pretty** (boolean, query, optional): If present, makes the output “pretty” to help with debugging. Parameter shall not have a value ### Responses #### 200 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **query** (object): Object containing the input query data - **id** (integer): The Podcast Index Id of the podcast GUID passed as an argument to the request (example: 920666) - **value** (object): Information for supporting the podcast via one of the "Value for Value" methods. May not be reported. Examples: - `lightning` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=169991&pretty - `webmonetization` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=779873&pretty - **model** (object): Description of the method for providing "Value for Value" payments - **type** (string (lightning|hive|webmonetization)): Payment type (example: "lightning") ("lightning"|"hive"|"webmonetization") - **method** (string): Method for sending payment (example: "keysend") - **suggested** (string): Suggested amount per second of playback to send. Unit is specific to the `type`. (example: "0.00000020000") - **destinations** (array (destination_v4v)): List of destinations where "Value for Value" payments should be sent. Array items: - **name** (string): Name for the destination (example: "podcaster") - **address** (string): Address of node to receive payment (example: "03ae9f91a0cb8ff43840e3c322c4c61f019d8c1c3cea15a25cfc425ac605e61a4a") - **type** (string (node)): Type of destination (example: "node") ("node") - **split** (integer): Share of payment the destination should receive (example: 99) - **fee** (boolean): Indicates if destination is included due to a fee being charged. May not be reported. (example: true) - **customKey** (string): The name of a custom record key to send along with the payment. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "112111100") - **customValue** (string): A custom value to pass along with the payment. This is considered the value that belongs to the customKey. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "wal_ZmqFg13NB31oek") - **description** (string): Description of the response (example: "Found matching feed") #### 400 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **description** (string): Description of the response (example: "Found matching feed") #### 401 - response ### Example Usage ```bash curl -X GET "https://api.podcastindex.org/api/1.0/value/bypodcastguid?guid=string&pretty=true" ``` ``` -------------------------------- ### GET /episodes/live Source: https://podcastindex-org.github.io/docs-api/pi_api.json Get all episodes that have been found in the [podcast:liveitem](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#live-item) from the feeds. Examples: - https://api.podcastindex.org/api/1.0/episodes/live?pretty ```markdown ### Parameters - **max** (integer, query, optional): Maximum number of results to return. - **pretty** (boolean, query, optional): If present, makes the output “pretty” to help with debugging. Parameter shall not have a value ### Responses #### 200 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **items** (array (item_podcast_live)): List of episodes matching request Array items: - **id** (integer): The internal PodcastIndex.org episode ID. (example: 16795088) - **title** (string): Name of the feed (example: "Batman University") - **link** (string (URL)): The channel-level link in the feed (example: "https://www.theincomparable.com/batmanuniversity/") - **guid** (string): The unique identifier for the episode (example: "incomparable/batman/19") - **datePublished** (integer): The date and time the episode was published (example: 1546399813) - **datePublishedPretty** (string): The date and time the episode was published formatted as a human readable string. Note: uses the PodcastIndex server local time to do conversion. (example: "January 01, 2019 9:30pm") - **dateCrawled** (integer): The time this episode was found in the feed (example: 1598369047) - **enclosureUrl** (string (URL)): URL/link to the episode file (example: "https://www.theincomparable.com/podcast/batmanuniversity302.mp3") - **enclosureType** (string): The Content-Type for the item specified by the `enclosureUrl` (example: "audio/mp3") - **enclosureLength** (integer): The length of the item specified by the `enclosureUrl` in bytes (example: 26385472) - **explicit** (integer): Is feed or episode marked as explicit - 0: not marked explicit - 1: marked explicit (example: 0) ("0"|"1") - **image** (string (URL)): The item-level image for the episode (example: "https://www.theincomparable.com/imgs/logos/logo-batmanuniversity-3x.jpg?cache-buster=2019-06-11") - **feedItunesId** (integer): The iTunes ID of this feed if there is one, and we know what it is. (example: 1441923632) - **feedImage** (string (URL)): The channel-level image element. (example: "https://www.theincomparable.com/imgs/logos/logo-batmanuniversity-3x.jpg?cache-buster=2019-06-11") - **feedId** (integer): The internal PodcastIndex.org Feed ID. (example: 75075) - **feedTitle** (string): Name of the feed (example: "Batman University") - **feedLanguage** (string): The channel-level language specification of the feed. Languages accord with the [RSS Language Spec](https://www.rssboard.org/rss-language-codes). (example: "en-us") - **categories** (object): An array of categories, where the index is the Category ID and the value is the Category Name. All Category numbers and names are returned by the `categories/list` endpoint. (example: {"104":"Tv","105":"Film","107":"Reviews"}) - **count** (integer): Number of items returned in request (example: 1) - **max** (integer): Value of `max` parameter passed to request. (example: 2) - **description** (string): Description of the response (example: "Found matching feed") #### 400 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **description** (string): Description of the response (example: "Found matching feed") #### 401 - response ### Example Usage ```bash curl -X GET "https://api.podcastindex.org/api/1.0/episodes/live?max=0&pretty=true" ``` ``` -------------------------------- ### GET /episodes/bypodcastguid Source: https://podcastindex-org.github.io/docs-api/pi_api.json This call returns all the episodes we know about for this feed from the [Podcast GUID](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid). Episodes are in reverse chronological order. Example: https://api.podcastindex.org/api/1.0/episodes/bypodcastguid?guid=856cd618-7f34-57ea-9b84-3600f1f65e7f&pretty ```markdown ### Parameters - **guid** (string, query, required): The GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. - **since** (integer, query, optional): Return items since the specified epoch timestamp. - **max** (integer, query, optional): Maximum number of results to return. - **fulltext** (boolean, query, optional): If present, return the full text value of any text fields (ex: `description`). If not provided, field value is truncated to 100 words. Parameter shall not have a value - **pretty** (boolean, query, optional): If present, makes the output “pretty” to help with debugging. Parameter shall not have a value ### Responses #### 200 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **items** (array (item_podcast)): List of episodes matching request Array items: - **id** (integer): The internal PodcastIndex.org episode ID. (example: 16795088) - **title** (string): Name of the feed (example: "Batman University") - **link** (string (URL)): The channel-level link in the feed (example: "https://www.theincomparable.com/batmanuniversity/") - **description** (string): The item-level description of the episode. Uses the longer of the possible fields in the feed: ``, `` and `` (example: "Batman University is back in session! James Thomson and Nathan Alderman join Tony for a discussion of Fox’s “Gotham.” Tune in to hear our thoughts on how a half-baked comic book show was reborn into an unmissable train wreck.") - **guid** (string): The unique identifier for the episode (example: "incomparable/batman/19") - **datePublished** (integer): The date and time the episode was published (example: 1546399813) - **datePublishedPretty** (string): The date and time the episode was published formatted as a human readable string. Note: uses the PodcastIndex server local time to do conversion. (example: "January 01, 2019 9:30pm") - **dateCrawled** (integer): The time this episode was found in the feed (example: 1598369047) - **enclosureUrl** (string (URL)): URL/link to the episode file (example: "https://www.theincomparable.com/podcast/batmanuniversity302.mp3") - **enclosureType** (string): The Content-Type for the item specified by the `enclosureUrl` (example: "audio/mp3") - **enclosureLength** (integer): The length of the item specified by the `enclosureUrl` in bytes (example: 26385472) - **duration** (integer): The estimated length of the item specified by the `enclosureUrl` in seconds. Will be null for `liveItem`. (example: 54) - **explicit** (integer): Is feed or episode marked as explicit - 0: not marked explicit - 1: marked explicit (example: 0) ("0"|"1") - **episode** (integer): Episode number (example: 19) - **episodeType** (string (full|trailer|bonus)): The type of episode. May be null for `liveItem`. (example: "full") ("full"|"trailer"|"bonus") - **season** (integer): Season number. May be null for `liveItem`. (example: 3) - **image** (string (URL)): The item-level image for the episode (example: "https://www.theincomparable.com/imgs/logos/logo-batmanuniversity-3x.jpg?cache-buster=2019-06-11") - **feedItunesId** (integer): The iTunes ID of this feed if there is one, and we know what it is. (example: 1441923632) - **feedUrl** (string (URL)): Current feed URL (example: "https://feeds.theincomparable.com/batmanuniversity") - **feedImage** (string (URL)): The channel-level image element. (example: "https://www.theincomparable.com/imgs/logos/logo-batmanuniversity-3x.jpg?cache-buster=2019-06-11") - **feedId** (integer): The internal PodcastIndex.org Feed ID. (example: 75075) - **podcastGuid** (string): The GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. (example: "9b024349-ccf0-5f69-a609-6b82873eab3c") - **feedLanguage** (string): The channel-level language specification of the feed. Languages accord with the [RSS Language Spec](https://www.rssboard.org/rss-language-codes). (example: "en-us") - **feedDead** (integer): At some point, we give up trying to process a feed and mark it as dead. This is usually after 1000 errors without a successful pull/parse cycle. Once the feed is marked dead, we only check it once per month. (example: 0) - **feedDuplicateOf** (integer): The internal PodcastIndex.org Feed ID this feed duplicates. May be null except in `podcasts/dead`. (example: 75075) - **chaptersUrl** (string (URL)): Link to the JSON file containing the episode chapters (example: "https://studio.hypercatcher.com/chapters/podcast/http:feed.nashownotes.comrss.xml/episode/http:1322.noagendanotes.com") - **transcriptUrl** (string (URL)): Link to the file containing the episode transcript Note: in most use cases, the `transcripts` value should be used instead (example: "https://mp3s.nashownotes.com/NA-1322-Captions.srt") - **transcripts** (array (transcript)): List of transcripts for the episode. May not be reported. Array items: - **url** (string (URL)): URL of the podcast transcript. (example: "https://mp3s.nashownotes.com/NA-1385-Captions.srt") - **type** (string (application/json|application/srt|text/html|text/plain|text/srt|text/vtt)): Mime type of the file such as `text/plain`, `text/html`, `application/srt`, `text/vtt`, `application/json` (example: "application/srt") ("application/json"|"application/srt"|"text/html"|"text/plain"|"text/srt"|"text/vtt") - **soundbite** (object): Soundbite for episode. May not be reported. - **startTime** (integer): The time where the soundbite begins in the item specified by the `enclosureUrl` (example: 1123) - **duration** (integer): The length to play the item specified by the `enclosureUrl` (example: 40) - **title** (string): Name of the soundbite (example: "Why the Podcast Namespace Matters") - **soundbites** (array (soundbite)): Soundbites for episode. May not be reported. Array items: - **persons** (array (person)): List of people with an interest in this episode. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#person) for more information. Array items: - **id** (integer): The internal PodcastIndex.org person ID. (example: 411960) - **name** (string): The name of the person. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#person) for more information. (example: "Dave Jones") - **role** (string): Used to identify what role the person serves on the show or episode. Value should be an official role within the Podcast Taxonomy Project [list](https://github.com/Podcastindex-org/podcast-namespace/blob/main/taxonomy.json). See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#person) for more information. (example: "Host") - **group** (string): The group the person's role is in. Value should be an official group within the Podcast Taxonomy Project [list](https://github.com/Podcastindex-org/podcast-namespace/blob/main/taxonomy.json). See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#person) for more information. (example: "Cast") - **href** (string (URL)): The url to a relevant resource of information about the person, such as a homepage or third-party profile platform. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#person) for more information. (example: "https://engineered.network/img/people/dave-jones.jp") - **img** (string (URL)): URL to a picture or avatar of the person. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#person) for more information. (example: "https://engineered.network/img/people/dave-jones.jp") - **socialInteract** (array (socialInteract_item)): List the social interact data found in the podcast feed. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#social-interact) for more information. Array items: - **url** (string (URL)): The uri/url of the root post comment (example: "https://podcastindex.social/@dave/109762601417741559") - **protocol** (string (disabled|activitypub|twitter|lightning)): The protocol in use for interacting with the comment root post. For the most up-to-date list of options, see https://github.com/Podcastindex-org/podcast-namespace/blob/main/socialprotocols.txt (example: "activitypub") ("disabled"|"activitypub"|"twitter"|"lightning") - **accountId** (string): The account id (on the commenting platform) of the account that created this root post. (example: "@dave") - **accountUrl** (string (URL)): The public url (on the commenting platform) of the account that created this root post. (example: "https://podcastindex.social/users/dave") - **priority** (integer): When multiple socialInteract tags are present, this integer gives order of priority. A lower number means higher priority. (example: 0) - **value** (object): Information for supporting the podcast via one of the "Value for Value" methods. May not be reported. Examples: - `lightning` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=169991&pretty - `webmonetization` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=779873&pretty - **model** (object): Description of the method for providing "Value for Value" payments - **type** (string (lightning|hive|webmonetization)): Payment type (example: "lightning") ("lightning"|"hive"|"webmonetization") - **method** (string): Method for sending payment (example: "keysend") - **suggested** (string): Suggested amount per second of playback to send. Unit is specific to the `type`. (example: "0.00000020000") - **destinations** (array (destination_v4v)): List of destinations where "Value for Value" payments should be sent. Array items: - **name** (string): Name for the destination (example: "podcaster") - **address** (string): Address of node to receive payment (example: "03ae9f91a0cb8ff43840e3c322c4c61f019d8c1c3cea15a25cfc425ac605e61a4a") - **type** (string (node)): Type of destination (example: "node") ("node") - **split** (integer): Share of payment the destination should receive (example: 99) - **fee** (boolean): Indicates if destination is included due to a fee being charged. May not be reported. (example: true) - **customKey** (string): The name of a custom record key to send along with the payment. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "112111100") - **customValue** (string): A custom value to pass along with the payment. This is considered the value that belongs to the customKey. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "wal_ZmqFg13NB31oek") - **count** (integer): Number of items returned in request (example: 1) - **query** (object): Object containing the input query data - **url** (string (URL)): Value passed to request in the `url` field (example: "https://feeds.theincomparable.com/batmanuniversity") - **description** (string): Description of the response (example: "Found matching feed") #### 400 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **description** (string): Description of the response (example: "Found matching feed") #### 401 - response ### Example Usage ```bash curl -X GET "https://api.podcastindex.org/api/1.0/episodes/bypodcastguid?guid=string&since=0&max=0&fulltext=true&pretty=true" ``` ``` -------------------------------- ### Security: X-Auth-Key Source: https://podcastindex-org.github.io/docs-api/pi_api.json Your API key string *Example*: `UXKCGDSYGUUEVQJSYDZH` ```markdown ## Security: X-Auth-Key **Description:** Your API key string *Example*: `UXKCGDSYGUUEVQJSYDZH` **Type:** apiKey ``` -------------------------------- ### Schema: startTime_live Source: https://podcastindex-org.github.io/docs-api/pi_api.json The time the livestream starts ```markdown ## Schema: startTime_live The time the livestream starts **Type:** integer ``` -------------------------------- ### GET /podcasts/byguid Source: https://podcastindex-org.github.io/docs-api/pi_api.json This call returns everything we know about the feed from the feed's GUID. The GUID is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. Examples: - https://api.podcastindex.org/api/1.0/podcasts/byguid?guid=9b024349-ccf0-5f69-a609-6b82873eab3c&pretty - Includes `value` and `funding`: https://api.podcastindex.org/api/1.0/podcasts/byguid?guid=9b024349-ccf0-5f69-a609-6b82873eab3c&pretty ```markdown ### Parameters - **guid** (string, query, required): The GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. - **pretty** (boolean, query, optional): If present, makes the output “pretty” to help with debugging. Parameter shall not have a value ### Responses #### 200 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **query** (object): Object containing the input query data - **guid** (string): Value passed to request in the `guid` field The GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. (example: "9b024349-ccf0-5f69-a609-6b82873eab3c") - **id** (string): The Podcast Index feed ID for the feed specified by the `guid` field passed to the request (example: "9b024349-ccf0-5f69-a609-6b82873eab3c") - **feed** (object): Known details of podcast feed - **id** (integer): The internal PodcastIndex.org Feed ID. (example: 75075) - **podcastGuid** (string): The GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. (example: "9b024349-ccf0-5f69-a609-6b82873eab3c") - **title** (string): Name of the feed (example: "Batman University") - **url** (string (URL)): Current feed URL (example: "https://feeds.theincomparable.com/batmanuniversity") - **originalUrl** (string (URL)): The URL of the feed, before it changed to the current `url` value. (example: "https://feeds.theincomparable.com/batmanuniversity") - **link** (string (URL)): The channel-level link in the feed (example: "https://www.theincomparable.com/batmanuniversity/") - **description** (string): The channel-level description Uses the longer of the possible fields in the feed: ``, `` and `` (example: "Batman University is a seasonal podcast about you know who. It began with an analysis of episodes of “Batman: The Animated Series” but has now expanded to cover other series, movies, and media. Your professor is Tony Sindelar.") - **author** (string): The channel-level author element. Usually iTunes specific, but could be from another namespace if not present. (example: "Tony Sindelar") - **ownerName** (string): The channel-level owner:name element. Usually iTunes specific, but could be from another namespace if not present. (example: "The Incomparable") - **image** (string (URL)): The channel-level image element. (example: "https://www.theincomparable.com/imgs/logos/logo-batmanuniversity-3x.jpg?cache-buster=2019-06-11") - **artwork** (string (URL)): The seemingly best artwork we can find for the feed. Might be the same as `image` in most instances. (example: "https://www.theincomparable.com/imgs/logos/logo-batmanuniversity-3x.jpg?cache-buster=2019-06-11") - **lastUpdateTime** (integer): The channel-level pubDate for the feed, if it’s sane. If not, this is a heuristic value, arrived at by analyzing other parts of the feed, like item-level pubDates. (example: 1613394044) - **lastCrawlTime** (integer): The last time we attempted to pull this feed from its url. (example: 1613394034) - **lastParseTime** (integer): The last time we tried to parse the downloaded feed content. (example: 1613394045) - **lastGoodHttpStatusTime** (integer): Timestamp of the last time we got a "good", meaning non-4xx/non-5xx, status code when pulling this feed from its url. (example: 1613394034) - **lastHttpStatus** (integer): The last http status code we got when pulling this feed from its url. You will see some made up status codes sometimes. These are what we use to track state within the feed puller. These all start with 9xx. (example: 200) - **contentType** (string): The Content-Type header from the last time we pulled this feed from its url. (example: "application/rss+xml") - **itunesId** (integer): The iTunes ID of this feed if there is one, and we know what it is. (example: 1441923632) - **itunesType** (string): The type as specified by the `itunes:type` in the feed XML. (example: "episodic") - **generator** (string): The channel-level generator element if there is one. (example: "my podcast host") - **language** (string): The channel-level language specification of the feed. Languages accord with the [RSS Language Spec](https://www.rssboard.org/rss-language-codes). (example: "en-us") - **explicit** (boolean): Is feed marked as explicit (example: false) - **type** (integer): Type of source feed where: - 0: RSS - 1: Atom (example: 0) ("0"|"1") - **medium** (string): The value of the `podcast:medium` attribute for the feed. See the [medium](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#medium) description in the Podcast Namespace for more information. (example: "music") - **dead** (integer): At some point, we give up trying to process a feed and mark it as dead. This is usually after 1000 errors without a successful pull/parse cycle. Once the feed is marked dead, we only check it once per month. (example: 0) - **chash** (string): The md5 hash of the following feed items in hex format. - `title` - `link` - `feedLanguage` - `generator` - `author` - `ownerName` - `ownerEmail` (note: not exposed via the API) Pseudo-code: chash = md5(title+link+feedLanguage+generator+author+ownerName+ownerEmail) (example: "ad651c60eaaf3344595c0dd0bd787993") - **episodeCount** (integer): Number of episodes for this feed known to the index. (example: 19) - **crawlErrors** (integer): The number of errors we’ve encountered trying to pull a copy of the feed. Errors are things like a 500 or 404 response, a server timeout, bad encoding, etc. (example: 0) - **parseErrors** (integer): The number of errors we’ve encountered trying to parse the feed content. Errors here are things like not well-formed xml, bad character encoding, etc. We fix many of these types of issues on the fly when parsing. We only increment the errors count when we can’t fix it. (example: 0) - **categories** (object): An array of categories, where the index is the Category ID and the value is the Category Name. All Category numbers and names are returned by the `categories/list` endpoint. (example: {"104":"Tv","105":"Film","107":"Reviews"}) - **locked** (integer): Tell other podcast platforms whether they are allowed to import this feed. A value of 1 means that any attempt to import this feed into a new platform should be rejected. Contains the value of the feed's channel-level `podcast:locked` tag where: - 0: 'no' - 1: 'yes' (example: 0) ("0"|"1") - **imageUrlHash** (integer): A CRC32 hash of the `image` URL with the protocol (`http://`, `https://`) removed. 64bit integer. (example: 3969216649) - **value** (object): Information for supporting the podcast via one of the "Value for Value" methods. May not be reported. Examples: - `lightning` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=169991&pretty - `webmonetization` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=779873&pretty - **model** (object): Description of the method for providing "Value for Value" payments - **type** (string (lightning|hive|webmonetization)): Payment type (example: "lightning") ("lightning"|"hive"|"webmonetization") - **method** (string): Method for sending payment (example: "keysend") - **suggested** (string): Suggested amount per second of playback to send. Unit is specific to the `type`. (example: "0.00000020000") - **destinations** (array (destination_v4v)): List of destinations where "Value for Value" payments should be sent. Array items: - **name** (string): Name for the destination (example: "podcaster") - **address** (string): Address of node to receive payment (example: "03ae9f91a0cb8ff43840e3c322c4c61f019d8c1c3cea15a25cfc425ac605e61a4a") - **type** (string (node)): Type of destination (example: "node") ("node") - **split** (integer): Share of payment the destination should receive (example: 99) - **fee** (boolean): Indicates if destination is included due to a fee being charged. May not be reported. (example: true) - **customKey** (string): The name of a custom record key to send along with the payment. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "112111100") - **customValue** (string): A custom value to pass along with the payment. This is considered the value that belongs to the customKey. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "wal_ZmqFg13NB31oek") - **funding** (object): Information for donation/funding the podcast. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#funding) for more information. - **url** (string (URL)): URL to site to fund the podcast See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#funding) for more information. (example: "https://patreon.com/johnchidgey") - **message** (string): Description of `url` See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#funding) for more information. (example: "Pragmatic on Patreon") - **description** (string): Description of the response (example: "Found matching feed") #### 400 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **description** (string): Description of the response (example: "Found matching feed") #### 401 - response ### Example Usage ```bash curl -X GET "https://api.podcastindex.org/api/1.0/podcasts/byguid?guid=string&pretty=true" ``` ``` -------------------------------- ### GET /value/byepisodeguid Source: https://podcastindex-org.github.io/docs-api/pi_api.json This call returns the information for supporting the podcast episode via one of the "Value for Value" methods from podcast GUID and the episode GUID. The `podcastguid` is the GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. The `episodeguid` is the unique guid specified for the `` in the feed but may not be globally unique. Note: No API key needed for this endpoint. Examples: - https://api.podcastindex.org/api/1.0/value/byepisodeguid?podcastguid=917393e3-1b1e-5cef-ace4-edaa54e1f810&episodeguid=PC20143&pretty - https://api.podcastindex.org/api/1.0/value/byepisodeguid?podcastguid=c73b1a23-1c28-5edb-94c3-10d1745d0877&episodeguid=bdea6759-a7b6-4c0d-9d1e-acca3133f4a9&pretty ```markdown ### Parameters - **podcastguid** (string, query, required): The GUID from the `podcast:guid` tag in the feed. This value is a unique, global identifier for the podcast. See the namespace spec for [guid](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#guid) for details. - **episodeguid** (string, query, required): The guid specified by the `` in the episode ``. - **pretty** (boolean, query, optional): If present, makes the output “pretty” to help with debugging. Parameter shall not have a value ### Responses #### 200 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **query** (object): Object containing the input query data - **podcastguid** (string): The value of the `podcastguid` argument passed to the request. (example: "917393e3-1b1e-5cef-ace4-edaa54e1f810") - **episodeguid** (string): The value of the `episodeguid` argument passed to the request. (example: "PC20143") - **value** (object): Information for supporting the podcast via one of the "Value for Value" methods. May not be reported. Examples: - `lightning` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=169991&pretty - `webmonetization` value type: https://api.podcastindex.org/api/1.0/podcasts/byfeedid?id=779873&pretty - **model** (object): Description of the method for providing "Value for Value" payments - **type** (string (lightning|hive|webmonetization)): Payment type (example: "lightning") ("lightning"|"hive"|"webmonetization") - **method** (string): Method for sending payment (example: "keysend") - **suggested** (string): Suggested amount per second of playback to send. Unit is specific to the `type`. (example: "0.00000020000") - **destinations** (array (destination_v4v)): List of destinations where "Value for Value" payments should be sent. Array items: - **name** (string): Name for the destination (example: "podcaster") - **address** (string): Address of node to receive payment (example: "03ae9f91a0cb8ff43840e3c322c4c61f019d8c1c3cea15a25cfc425ac605e61a4a") - **type** (string (node)): Type of destination (example: "node") ("node") - **split** (integer): Share of payment the destination should receive (example: 99) - **fee** (boolean): Indicates if destination is included due to a fee being charged. May not be reported. (example: true) - **customKey** (string): The name of a custom record key to send along with the payment. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "112111100") - **customValue** (string): A custom value to pass along with the payment. This is considered the value that belongs to the customKey. May not be reported. See the [podcast namespace spec](https://github.com/Podcastindex-org/podcast-namespace/blob/main/docs/1.0.md#value) and [value specification](https://github.com/Podcastindex-org/podcast-namespace/blob/main/value/value.md) for more information. (example: "wal_ZmqFg13NB31oek") - **title** (string): Name of the episode (example: "Gotham") - **feedTitle** (string): Name of the feed (example: "Batman University") - **description** (string): Description of the response (example: "Found matching feed") #### 400 - response - **status** (string (true|false)): Indicates API request status (example: "true") ("true"|"false") - **description** (string): Description of the response (example: "Found matching feed") #### 401 - response ### Example Usage ```bash curl -X GET "https://api.podcastindex.org/api/1.0/value/byepisodeguid?podcastguid=string&episodeguid=string&pretty=true" ``` ```